server {
        server_name vd.club3d.ro;
        listen 192.168.1.2:80;

        root /var/www/html;
        index index.php;

        access_log  /var/log/nginx/vd.club3d.ro.access.log;
        error_log   /var/log/nginx/vd.club3d.ro.error.log;

        types {
                text/html   html htm shtml;
                text/css    css;
                text/xml    xml;
                application/x-web-app-manifest+   webapp;
        }

        # Deny access to dotfiles
        location ~ /\. {
                deny all;
        }

        location / {
                try_files $uri /index.php?$args;
        }

        location ~ \.php$ {
                try_files $uri /index.php?$args;

                fastcgi_param     PATH_INFO $fastcgi_path_info;
                fastcgi_param     PATH_TRANSLATED $document_root$fastcgi_path_info;
                fastcgi_param     SCRIPT_FILENAME $document_root$fastcgi_script_name;

                location ~* \.php$ {
                    fastcgi_split_path_info ^(.+\.php)(/.+)$;
                    include       fastcgi_params;
                    fastcgi_pass  unix:/var/run/php-fpm.sock;
                    fastcgi_index index.php;
                    fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
                    fastcgi_buffer_size 16k;
                    fastcgi_buffers 4 16k;
                    include fastcgi_params;
            }
    }
}
